# Sign Document Triggers the digital signature process for a specific document by its ID. This will generate a new PDF for the document including the digital signature. Endpoint: PUT /api/v3/digital_signatures/document/{id}/sign Version: 3.1.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" ## Path parameters: - `id` (integer, required) The unique identifier of the document. Example: 12345 ## Response 202 fields (application/json): - `signature` (string) Enum: "pending" - `requested` (boolean) true when a new signed PDF was requested from PDF service v2. Example: true ## Response 401 fields (application/json): - `errors` (array) Example: [{"error":"Authentication Error"}] - `errors.error` (string) ## Response 404 fields (application/json): - `errors` (array) Example: [{"error":"Resource not found"}] - `errors.error` (string) ## Response 500 fields (application/json): - `errors` (array) Example: [{"error":"An unexpected error occurred"}] - `errors.error` (string)